/*
 * Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: StringListTextDecoder.java 73928 2014-08-01 09:35:37Z supol $
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.session11.common;

import javax.websocket.DecodeException;
import javax.websocket.Decoder;
import javax.websocket.EndpointConfig;

public class StringListTextDecoder implements Decoder.Text<StringList> {

	@Override
	public void init(EndpointConfig config) {
	}

	@Override
	public void destroy() {
	}

	@Override
	public StringList decode(String s) throws DecodeException {
		StringList list = new StringLinkedList();
		list.add(s);
		return list;
	}

	@Override
	public boolean willDecode(String s) {
		return true;
	}

}
